Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 269)
+++ trunk/install/sql/eleonline.sql	(revision 270)
@@ -1,75 +1,87 @@
--- MySQL dump 10.10
---
--- Host: localhost    Database: vuoto
--- ------------------------------------------------------
--- Server version	5.0.19-standard
-
-/*!40101 SET NAMES utf8 */;
-
---
--- Table structure for table `soraldo_access`
---
-
-DROP TABLE IF EXISTS `soraldo_access`;
+-- phpMyAdmin SQL Dump
+-- version 4.7.7
+-- https://www.phpmyadmin.net/
+--
+-- Host: 127.0.0.1
+-- Creato il: Apr 16, 2019 alle 21:10
+-- Versione del server: 10.1.30-MariaDB
+-- Versione PHP: 7.2.2
+
+SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
+SET AUTOCOMMIT = 0;
+START TRANSACTION;
+SET time_zone = "+00:00";
+
+
+/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
+/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
+/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
+/*!40101 SET NAMES utf8mb4 */;
+
+--
+-- Database: `ele3`
+--
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_access`
+--
+
 CREATE TABLE `soraldo_access` (
   `access_id` int(10) NOT NULL,
-  `access_title` varchar(20) default NULL,
-  PRIMARY KEY  (`access_id`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_access`
---
-
-
-/*!40000 ALTER TABLE `soraldo_access` DISABLE KEYS */;
-LOCK TABLES `soraldo_access` WRITE;
-INSERT INTO `soraldo_access` VALUES (1,'Sospeso'),(16,'Operatore'),(32,'Amministratore'),(64,'Amministratore Unico'),(256,'Superuser');
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_access` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_authors`
---
-
-DROP TABLE IF EXISTS `soraldo_authors`;
+  `access_title` varchar(20) DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dump dei dati per la tabella `soraldo_access`
+--
+
+INSERT INTO `soraldo_access` (`access_id`, `access_title`) VALUES
+(1, 'Sospeso'),
+(16, 'Operatore'),
+(32, 'Amministratore'),
+(64, 'Amministratore Unico'),
+(256, 'Superuser');
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_authors`
+--
+
 CREATE TABLE `soraldo_authors` (
-  `aid` varchar(25) NOT NULL default '',
-  `name` varchar(50) default NULL,
-  `id_comune` int(11) NOT NULL default '0',
-  `email` varchar(255) default NULL,
-  `pwd` varchar(40) default NULL,
-  `counter` int(11) NOT NULL default '0',
-  `adminop` tinyint(2) NOT NULL default '0',
-  `admincomune` tinyint(2) NOT NULL default '0',
-  `adminsuper` tinyint(2) NOT NULL default '1',
-  `admlanguage` varchar(30) NOT NULL default '',
-  PRIMARY KEY  (`aid`,`id_comune`),
-  KEY `aid` (`aid`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_authors`
---
-
-
-/*!40000 ALTER TABLE `soraldo_authors` DISABLE KEYS */;
-LOCK TABLES `soraldo_authors` WRITE;
-INSERT INTO `soraldo_authors` VALUES ('suser','suser',0,'test@','098f6bcd4621d373cade4e832627b4f6',1,0,0,1,'it');
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_authors` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_config`
---
-
-DROP TABLE IF EXISTS `soraldo_config`;
+  `aid` varchar(25) NOT NULL DEFAULT '',
+  `name` varchar(50) DEFAULT NULL,
+  `id_comune` int(11) NOT NULL DEFAULT '0',
+  `email` varchar(255) DEFAULT NULL,
+  `pwd` varchar(40) DEFAULT NULL,
+  `counter` int(11) NOT NULL DEFAULT '0',
+  `adminop` tinyint(2) NOT NULL DEFAULT '0',
+  `admincomune` tinyint(2) NOT NULL DEFAULT '0',
+  `adminsuper` tinyint(2) NOT NULL DEFAULT '1',
+  `admlanguage` varchar(30) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dump dei dati per la tabella `soraldo_authors`
+--
+
+INSERT INTO `soraldo_authors` (`aid`, `name`, `id_comune`, `email`, `pwd`, `counter`, `adminop`, `admincomune`, `adminsuper`, `admlanguage`) VALUES
+('suser', 'suser', 0, 'test@', '098f6bcd4621d373cade4e832627b4f6', 1, 0, 0, 1, 'it');
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_config`
+--
+
 CREATE TABLE `soraldo_config` (
-  `sitename` varchar(255) NOT NULL default '',
-  `siteurl` varchar(255) NOT NULL default '',
-  `site_logo` varchar(255) NOT NULL default '',
-  `slogan` varchar(255) NOT NULL default '',
-  `startdate` varchar(50) NOT NULL default '',
-  `adminmail` varchar(255) NOT NULL default '',
+  `sitename` varchar(255) NOT NULL DEFAULT '',
+  `siteurl` varchar(255) NOT NULL DEFAULT '',
+  `site_logo` varchar(255) NOT NULL DEFAULT '',
+  `slogan` varchar(255) NOT NULL DEFAULT '',
+  `startdate` varchar(50) NOT NULL DEFAULT '',
+  `adminmail` varchar(255) NOT NULL DEFAULT '',
   `tema` varchar(25) NOT NULL,
   `foot` text NOT NULL,
@@ -88,222 +100,128 @@
   `gkey` varchar(100) NOT NULL,
   `googlemaps` enum('0','1') NOT NULL,
-  `editor` enum('0','1') NOT NULL default '1',
-  `tema_on` enum('0','1') NOT NULL default '1',
+  `editor` enum('0','1') NOT NULL DEFAULT '1',
+  `tema_on` enum('0','1') NOT NULL DEFAULT '1',
   `ed_user` varchar(25) NOT NULL
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 
 --
--- Dumping data for table `soraldo_config`
---
-
-
-/*!40000 ALTER TABLE `soraldo_config` DISABLE KEYS */;
-LOCK TABLES `soraldo_config` WRITE;
-INSERT INTO `soraldo_config` VALUES ('','http://www.fonte-nuova.it','','Sito istituzionale','Maggio 2009','admin@localhost','facebook','<b>Comune di Menfi</b><br>\r\nvia  - 84023 Menfi (Ag)\r\nTel:  Fax: \r\n<hr>','it','1','','','','Gpl v3',2,0,84023,'1','1','0','','0','1','1','Admin');
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_config` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_doc_cons`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_controllosez`;
-create table soraldo_ele_controllosez (
-id_sez int(11),
- id_cons int(11),
- stato_aff int(1),
- stato_val int(1),
- stato_gru int(1),
- stato_lis int(1),
- stato_can int(1),
- status int(1) DEFAULT '0',
- primary key (id_sez)
- ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
-
-
-DROP TABLE IF EXISTS `soraldo_doc_cons`;
+-- Dump dei dati per la tabella `soraldo_config`
+--
+
+INSERT INTO `soraldo_config` (`sitename`, `siteurl`, `site_logo`, `slogan`, `startdate`, `adminmail`, `tema`, `foot`, `language`, `blocco`, `testata`, `nome_testata`, `fileout`, `copyright`, `Versione`, `patch`, `siteistat`, `multicomune`, `flash`, `displayerrors`, `gkey`, `googlemaps`, `editor`, `tema_on`, `ed_user`) VALUES
+('', 'http://www.fonte-nuova.it', '', 'Sito istituzionale', 'Maggio 2009', 'admin@localhost', 'facebook', '<b>Comune di Menfi</b><br>\r\nvia  - 84023 Menfi (Ag)\r\nTel:  Fax: \r\n<hr>', 'it', '1', '', '', '', 'Gpl v3', 2, 0, 84023, '1', '1', '0', '', '0', '1', '1', 'Admin');
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_doc_cons`
+--
+
 CREATE TABLE `soraldo_doc_cons` (
   `id_cons` int(11) NOT NULL,
   `id_doc` int(11) NOT NULL,
-  `tabella` varchar(25) NOT NULL,
-  KEY `id_cons` (`id_cons`,`id_doc`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_doc_cons`
---
-
-
-/*!40000 ALTER TABLE `soraldo_doc_cons` DISABLE KEYS */;
-LOCK TABLES `soraldo_doc_cons` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_doc_cons` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_candidati`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_candidati`;
+  `tabella` varchar(25) NOT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_candidati`
+--
+
 CREATE TABLE `soraldo_ele_candidati` (
-  `id_cand` int(11) NOT NULL auto_increment,
-  `id_cons` int(11) NOT NULL default '0',
-  `id_lista` int(11) NOT NULL default '0',
-  `cognome` varchar(50) default NULL,
-  `nome` varchar(50) default NULL,
+  `id_cand` int(11) NOT NULL,
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_lista` int(11) NOT NULL DEFAULT '0',
+  `num_lista` int(2) UNSIGNED NOT NULL,
+  `cognome` varchar(50) DEFAULT NULL,
+  `nome` varchar(50) DEFAULT NULL,
   `note` tinytext NOT NULL,
-  `simbolo` varchar(30) NOT NULL default '',
-  `num_cand` int(7) NOT NULL default '0',
-  UNIQUE KEY `id_cand` (`id_cand`),
-  KEY `id_cons` (`id_cons`),
-  KEY `id_lista` (`id_lista`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_candidati`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_candidati` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_candidati` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_candidati` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_circoscrizione`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_circoscrizione`;
+  `simbolo` varchar(30) NOT NULL DEFAULT '',
+  `num_cand` int(7) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_circoscrizione`
+--
+
 CREATE TABLE `soraldo_ele_circoscrizione` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_circ` int(11) NOT NULL auto_increment,
-  `num_circ` int(7) NOT NULL default '0',
-  `descrizione` text,
-  UNIQUE KEY `id_circ` (`id_circ`),
-  UNIQUE KEY `id_cons` (`id_cons`,`num_circ`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_circoscrizione`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_circoscrizione` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_circoscrizione` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_circoscrizione` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_collegi`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_collegi`;
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_circ` int(11) NOT NULL,
+  `num_circ` int(7) NOT NULL DEFAULT '0',
+  `descrizione` text
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_collegi`
+--
+
 CREATE TABLE `soraldo_ele_collegi` (
-  `id_collegio` int(11) NOT NULL auto_increment,
-  `id_cons_gen` int(11) NOT NULL default '0',
-  `descrizione` text,
-  PRIMARY KEY  (`id_collegio`),
-  KEY `id_cons_gen` (`id_cons_gen`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_collegi`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_collegi` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_collegi` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_collegi` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_come`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_come`;
+  `id_collegio` int(11) NOT NULL,
+  `id_cons_gen` int(11) NOT NULL DEFAULT '0',
+  `descrizione` text
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_come`
+--
+
 CREATE TABLE `soraldo_ele_come` (
-  `id_cons` int(11) NOT NULL default '0',
-  `mid` int(7) NOT NULL auto_increment,
-  `title` varchar(150) NOT NULL default '',
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `mid` int(7) NOT NULL,
+  `title` varchar(150) NOT NULL DEFAULT '',
   `preamble` text NOT NULL,
   `content` text NOT NULL,
-  `editimage` varchar(100) NOT NULL default '',
-  UNIQUE KEY `mid` (`mid`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_come`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_come` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_come` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_come` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_comu_collegi`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_comu_collegi`;
-CREATE TABLE `soraldo_ele_comu_collegi` (
-  `id_collegio` int(11) NOT NULL default '0',
-  `id_cons` int(11) NOT NULL default '0',
-  `id_comune` int(11) NOT NULL default '0',
-  `id_cons_gen` int(11) NOT NULL default '0',
-  PRIMARY KEY  (`id_cons_gen`,`id_comune`),
-  KEY `id_cons` (`id_cons`),
-  KEY `id_collegio` (`id_collegio`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_comu_collegi`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_comu_collegi` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_comu_collegi` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_comu_collegi` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_comuni`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_comuni`;
+  `editimage` varchar(100) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_comuni`
+--
+
 CREATE TABLE `soraldo_ele_comuni` (
-  `id_comune` int(11) NOT NULL default '0',
-  `descrizione` varchar(50) default NULL,
-  `indirizzo` varchar(50) default NULL,
-  `centralino` varchar(15) default NULL,
-  `fax` varchar(15) default NULL,
-  `email` varchar(50) default NULL,
-  `fascia` tinyint(4) NOT NULL default '0',
-  `capoluogo` enum('0','1') NOT NULL default '0',
+  `id_comune` int(11) NOT NULL DEFAULT '0',
+  `descrizione` varchar(50) DEFAULT NULL,
+  `indirizzo` varchar(50) DEFAULT NULL,
+  `centralino` varchar(15) DEFAULT NULL,
+  `fax` varchar(15) DEFAULT NULL,
+  `email` varchar(50) DEFAULT NULL,
+  `fascia` tinyint(4) NOT NULL DEFAULT '0',
+  `capoluogo` enum('0','1') NOT NULL DEFAULT '0',
   `simbolo` text,
   `stemma` blob,
-  `id_cons` int(11) default '0',
-  `cap` text,
-  PRIMARY KEY  (`id_comune`),
-  KEY `access_id` (`descrizione`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_comuni`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_comuni` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_comuni` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_comuni` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_conf`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_conf`;
+  `id_cons` int(11) DEFAULT '0',
+  `cap` text
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_comu_collegi`
+--
+
+CREATE TABLE `soraldo_ele_comu_collegi` (
+  `id_collegio` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_comune` int(11) NOT NULL DEFAULT '0',
+  `id_cons_gen` int(11) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_conf`
+--
+
 CREATE TABLE `soraldo_ele_conf` (
-  `id_conf` int(11) NOT NULL AUTO_INCREMENT,
+  `id_conf` int(11) NOT NULL,
   `descrizione` varchar(50) NOT NULL,
   `limite` int(2) NOT NULL,
@@ -322,16 +240,11 @@
   `inffisso` enum('0','1') NOT NULL DEFAULT '0',
   `supfisso` enum('0','1') NOT NULL DEFAULT '0',
-  `fascia_capoluogo` int(2) NOT NULL DEFAULT '0',
-  PRIMARY KEY (`id_conf`)
-) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;
-
-
---
--- Dumping data for table `soraldo_ele_conf`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_conf` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_conf` WRITE;
+  `fascia_capoluogo` int(2) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_conf`
+--
+
 INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`, `votolista`, `inffisso`, `supfisso`, `fascia_capoluogo`) VALUES
 (1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6),
@@ -342,106 +255,83 @@
 (6, 'Legge Italiana 267/2000 con riduzione 2012', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 7),
 (7, 'Legge Italiana 267/2000 con modifiche 2014', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6);
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_conf` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_cons_comune`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_cons_comune`;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_consultazione`
+--
+
+CREATE TABLE `soraldo_ele_consultazione` (
+  `id_cons_gen` int(11) NOT NULL,
+  `descrizione` text,
+  `data_inizio` date DEFAULT NULL,
+  `data_fine` date DEFAULT NULL,
+  `tipo_cons` int(7) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_cons_comune`
+--
+
 CREATE TABLE `soraldo_ele_cons_comune` (
-  `id_cons` int(11) NOT NULL auto_increment,
-  `chiusa` set('0','1','2') NOT NULL default '0',
-  `id_comune` int(11) NOT NULL default '0',
-  `id_cons_gen` int(11) NOT NULL default '0',
-  `id_conf` int(11) NOT NULL default '0',
-  `preferita` enum('0','1') NOT NULL default '0',
-  `preferenze` TINYINT( 1 ) NOT NULL DEFAULT '1',
-  `id_fascia` INT( 2 ) NOT NULL DEFAULT '1',
-  `vismf` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
-  `solo_gruppo` enum('0', '1') NOT NULL default '0',
-  `disgiunto` enum('0', '1') NOT NULL default '0',
-  PRIMARY KEY  (`id_cons`),
-  UNIQUE KEY `comune` (`id_comune`,`id_cons_gen`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_cons_comune`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_cons_comune` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_cons_comune` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_cons_comune` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_consultazione`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_consultazione`;
-CREATE TABLE `soraldo_ele_consultazione` (
-  `id_cons_gen` int(11) NOT NULL auto_increment,
-  `descrizione` text,
-  `data_inizio` date default NULL,
-  `data_fine` date default NULL,
-  `tipo_cons` int(7) NOT NULL default '0',
-  PRIMARY KEY  (`id_cons_gen`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_consultazione`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_consultazione` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_consultazione` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_consultazione` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_documenti`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_documenti`;
+  `id_cons` int(11) NOT NULL,
+  `chiusa` set('0','1','2') NOT NULL DEFAULT '0',
+  `id_comune` int(11) NOT NULL DEFAULT '0',
+  `id_cons_gen` int(11) NOT NULL DEFAULT '0',
+  `id_conf` int(11) NOT NULL DEFAULT '0',
+  `preferita` enum('0','1') NOT NULL DEFAULT '0',
+  `preferenze` tinyint(1) NOT NULL DEFAULT '1',
+  `id_fascia` int(2) NOT NULL DEFAULT '1',
+  `vismf` enum('0','1') NOT NULL DEFAULT '0',
+  `solo_gruppo` enum('0','1') NOT NULL DEFAULT '0',
+  `disgiunto` enum('0','1') NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_controlli`
+--
+
+CREATE TABLE `soraldo_ele_controlli` (
+  `id_cons` int(11) NOT NULL,
+  `id_sez` int(11) NOT NULL,
+  `tipo` varchar(10) NOT NULL,
+  `id` int(11) NOT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_documenti`
+--
+
 CREATE TABLE `soraldo_ele_documenti` (
-  `id_doc` int(11) NOT NULL auto_increment,
+  `id_doc` int(11) NOT NULL,
   `descrizione` varchar(50) NOT NULL,
   `nomedoc` varchar(25) NOT NULL,
-  `filedoc` blob NOT NULL,
-  PRIMARY KEY  (`id_doc`),
-  KEY `descrizione` (`descrizione`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_documenti`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_documenti` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_documenti` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_documenti` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_fasce`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_fasce`;
+  `filedoc` blob NOT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_fasce`
+--
+
 CREATE TABLE `soraldo_ele_fasce` (
   `id_fascia` int(2) NOT NULL,
   `abitanti` int(11) NOT NULL,
   `seggi` int(4) NOT NULL,
-  `id_conf` int(11) DEFAULT '1',
-  KEY `id_fascia` (`id_fascia`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_fasce`
---
-
-LOCK TABLES `soraldo_ele_fasce` WRITE;
-/*!40000 ALTER TABLE `soraldo_ele_fasce` DISABLE KEYS */;
-INSERT INTO `soraldo_ele_fasce` VALUES 
+  `id_conf` int(11) DEFAULT '1'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_fasce`
+--
+
+INSERT INTO `soraldo_ele_fasce` (`id_fascia`, `abitanti`, `seggi`, `id_conf`) VALUES
 (1, 3000, 12, 1),
 (2, 10000, 16, 1),
@@ -511,196 +401,122 @@
 (8, 1000000, 40, 7),
 (9, 100000000, 48, 7);
-/*!40000 ALTER TABLE `soraldo_ele_fasce` ENABLE KEYS */;
-UNLOCK TABLES;
-
---
--- Table structure for table `soraldo_ele_gruppo`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_gruppo`;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_gruppo`
+--
+
 CREATE TABLE `soraldo_ele_gruppo` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_gruppo` int(11) NOT NULL auto_increment,
-  `num_gruppo` int(7) NOT NULL default '0',
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_gruppo` int(11) NOT NULL,
+  `num_gruppo` int(7) NOT NULL DEFAULT '0',
   `descrizione` text,
   `simbolo` text,
   `stemma` blob,
-  `id_circ` int(11) NOT NULL default '0',
+  `id_circ` int(11) NOT NULL DEFAULT '0',
+  `num_circ` int(2) UNSIGNED NOT NULL,
   `prognome` text,
-  `programma` mediumblob,
-  UNIQUE KEY `id_gruppo` (`id_gruppo`),
-  UNIQUE KEY `id_cons` (`id_cons`,`num_gruppo`,`id_circ`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_gruppo`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_gruppo` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_gruppo` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_gruppo` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_link`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_link`;
+  `programma` mediumblob
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_link`
+--
+
 CREATE TABLE `soraldo_ele_link` (
-  `id_cons` int(11) NOT NULL default '0',
-  `mid` int(7) NOT NULL auto_increment,
-  `title` varchar(150) NOT NULL default '',
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `mid` int(7) NOT NULL,
+  `title` varchar(150) NOT NULL DEFAULT '',
   `preamble` text NOT NULL,
   `content` text NOT NULL,
-  `editimage` varchar(100) NOT NULL default '',
-  PRIMARY KEY  (`mid`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_link`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_link` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_link` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_link` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_lista`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_lista`;
+  `editimage` varchar(100) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_lista`
+--
+
 CREATE TABLE `soraldo_ele_lista` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_lista` int(11) NOT NULL auto_increment,
-  `num_lista` int(7) NOT NULL default '0',
-  `id_gruppo` int(11) NOT NULL default '0',
-  `id_circ` int(11) NOT NULL default '0',
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_lista` int(11) NOT NULL,
+  `num_lista` int(7) NOT NULL DEFAULT '0',
+  `id_gruppo` int(11) NOT NULL DEFAULT '0',
+  `num_gruppo` int(2) UNSIGNED NOT NULL,
+  `id_circ` int(11) NOT NULL DEFAULT '0',
+  `num_circ` int(2) UNSIGNED NOT NULL,
   `descrizione` text,
   `simbolo` text,
-  `stemma` blob,
-  PRIMARY KEY  (`id_cons`,`num_lista`,`id_circ`),
-  UNIQUE KEY `id_lista` (`id_lista`),
-  KEY `id_gruppo` (`id_gruppo`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_lista`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_lista` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_lista` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_lista` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_log`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_log`;
+  `stemma` blob
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_log`
+--
+
 CREATE TABLE `soraldo_ele_log` (
-  `id_cons` int(11) default NULL,
-  `id_sez` int(11) default NULL,
-  `utente` varchar(20) default NULL,
-  `data` date default NULL,
-  `ora` time default NULL,
+  `id_cons` int(11) DEFAULT NULL,
+  `id_sez` int(11) DEFAULT NULL,
+  `utente` varchar(20) DEFAULT NULL,
+  `data` date DEFAULT NULL,
+  `ora` time DEFAULT NULL,
   `log_da` text,
   `log_a` text,
-  `tabella` varchar(30) default NULL,
-  KEY `id_cons` (`id_cons`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_log`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_log` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_log` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_log` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_modelli`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_modelli`;
+  `tabella` varchar(30) DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_modelli`
+--
+
 CREATE TABLE `soraldo_ele_modelli` (
-  `id_cons` int(11) NOT NULL default '0',
-  `categoria` varchar(20) NOT NULL default '',
-  `modello` blob NOT NULL,
-  KEY `access_id` (`id_cons`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_modelli`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_modelli` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_modelli` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_modelli` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_numeri`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_numeri`;
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `categoria` varchar(20) NOT NULL DEFAULT '',
+  `modello` blob NOT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_numeri`
+--
+
 CREATE TABLE `soraldo_ele_numeri` (
-  `id_cons` int(11) NOT NULL default '0',
-  `mid` int(7) NOT NULL auto_increment,
-  `title` varchar(150) NOT NULL default '',
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `mid` int(7) NOT NULL,
+  `title` varchar(150) NOT NULL DEFAULT '',
   `preamble` text NOT NULL,
   `content` text NOT NULL,
-  `editimage` varchar(100) NOT NULL default '',
-  PRIMARY KEY  (`mid`),
-  KEY `id_cons` (`id_cons`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_numeri`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_numeri` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_numeri` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_numeri` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_operatori`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_operatori`;
+  `editimage` varchar(100) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_operatori`
+--
+
 CREATE TABLE `soraldo_ele_operatori` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_sede` int(11) NOT NULL default '0',
-  `id_comune` int(11) NOT NULL default '0',
-  `permessi` int(3) default NULL,
-  `aid` varchar(25) NOT NULL default '',
-  UNIQUE KEY `id_cons_aid` (`id_cons`,`aid`,`id_comune`),
-  KEY `id_circ` (`id_comune`),
-  KEY `id_sede` (`id_sede`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_operatori`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_operatori` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_operatori` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_operatori` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_province`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_province`;
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_sede` int(11) NOT NULL DEFAULT '0',
+  `id_comune` int(11) NOT NULL DEFAULT '0',
+  `permessi` int(3) DEFAULT NULL,
+  `aid` varchar(25) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_province`
+--
+
 CREATE TABLE `soraldo_ele_province` (
   `id` tinyint(11) NOT NULL,
@@ -708,196 +524,122 @@
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 
---
--- Dumping data for table `soraldo_ele_province`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_province` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_province` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_province` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_regioni`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_regioni`;
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_regioni`
+--
+
 CREATE TABLE `soraldo_ele_regioni` (
   `id` int(11) NOT NULL,
-  `descrizione` varchar(25) NOT NULL,
-  PRIMARY KEY  (`id`),
-  KEY `descrizione` (`descrizione`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_regioni`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_regioni` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_regioni` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_regioni` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_rilaff`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_rilaff`;
+  `descrizione` varchar(25) NOT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_rilaff`
+--
+
 CREATE TABLE `soraldo_ele_rilaff` (
-  `id_cons_gen` int(11) NOT NULL default '0',
-  `orario` time NOT NULL default '00:00:00',
-  `data` date NOT NULL default '0000-00-00',
-  KEY `id_cons_gen` (`id_cons_gen`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_rilaff`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_rilaff` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_rilaff` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_rilaff` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_sede`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_sede`;
+  `id_cons_gen` int(11) NOT NULL DEFAULT '0',
+  `orario` time NOT NULL DEFAULT '00:00:00',
+  `data` date NOT NULL DEFAULT '0000-00-00'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_sede`
+--
+
 CREATE TABLE `soraldo_ele_sede` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_sede` int(11) NOT NULL auto_increment,
-  `id_circ` int(11) NOT NULL default '0',
-  `indirizzo` varchar(60) default NULL,
-  `telefono1` varchar(12) default NULL,
-  `telefono2` varchar(12) default NULL,
-  `fax` varchar(12) default NULL,
-  `responsabile` varchar(60) default NULL,
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_sede` int(11) NOT NULL,
+  `id_circ` int(11) NOT NULL DEFAULT '0',
+  `indirizzo` varchar(60) DEFAULT NULL,
+  `telefono1` varchar(12) DEFAULT NULL,
+  `telefono2` varchar(12) DEFAULT NULL,
+  `fax` varchar(12) DEFAULT NULL,
+  `responsabile` varchar(60) DEFAULT NULL,
   `mappa` mediumblob NOT NULL,
-  `filemappa` varchar(100) NOT NULL default '',
-  PRIMARY KEY  (`id_sede`),
-  KEY `id_cons` (`id_cons`),
-  KEY `id_circ` (`id_circ`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_sede`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_sede` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_sede` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_sede` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_servizi`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_servizi`;
+  `filemappa` varchar(100) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_servizi`
+--
+
 CREATE TABLE `soraldo_ele_servizi` (
-  `id_cons` int(11) NOT NULL default '0',
-  `mid` int(7) NOT NULL auto_increment,
-  `title` varchar(150) NOT NULL default '',
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `mid` int(7) NOT NULL,
+  `title` varchar(150) NOT NULL DEFAULT '',
   `preamble` text NOT NULL,
   `content` text NOT NULL,
-  `editimage` varchar(100) NOT NULL default '',
-  PRIMARY KEY  (`mid`),
-  KEY `id_cons` (`id_cons`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_servizi`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_servizi` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_servizi` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_servizi` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_sezioni`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_sezioni`;
+  `editimage` varchar(100) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_sezioni`
+--
+
 CREATE TABLE `soraldo_ele_sezioni` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_sez` int(11) NOT NULL auto_increment,
-  `id_sede` int(11) NOT NULL default '0',
-  `num_sez` int(7) NOT NULL default '0',
-  `maschi` int(4) default NULL,
-  `femmine` int(4) default NULL,
-  `validi` int(7) NOT NULL default '0',
-  `nulli` int(7) NOT NULL default '0',
-  `bianchi` int(7) NOT NULL default '0',
-  `contestati` int(7) NOT NULL default '0',
-  `solo_gruppo` int(7) NOT NULL default '0',
-  `autorizzati_m` int(4) NOT NULL default '0',
-  `autorizzati_f` int(4) NOT NULL default '0',
-  `voti_nulli` int(7) NOT NULL default '0',
-  `validi_lista` int(7) NOT NULL default '0',
-  `contestati_lista` int(7) NOT NULL default '0',
-  `voti_nulli_lista` int(7) NOT NULL default '0',
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_sez` int(11) NOT NULL,
+  `id_sede` int(11) NOT NULL DEFAULT '0',
+  `num_sez` int(7) NOT NULL DEFAULT '0',
+  `maschi` int(4) DEFAULT NULL,
+  `femmine` int(4) DEFAULT NULL,
+  `validi` int(7) NOT NULL DEFAULT '0',
+  `nulli` int(7) NOT NULL DEFAULT '0',
+  `bianchi` int(7) NOT NULL DEFAULT '0',
+  `contestati` int(7) NOT NULL DEFAULT '0',
+  `solo_gruppo` int(7) NOT NULL DEFAULT '0',
+  `autorizzati_m` int(4) NOT NULL DEFAULT '0',
+  `autorizzati_f` int(4) NOT NULL DEFAULT '0',
+  `voti_nulli` int(7) NOT NULL DEFAULT '0',
+  `validi_lista` int(7) NOT NULL DEFAULT '0',
+  `contestati_lista` int(7) NOT NULL DEFAULT '0',
+  `voti_nulli_lista` int(7) NOT NULL DEFAULT '0',
   `solo_lista` int(7) NOT NULL DEFAULT '0',
-  UNIQUE KEY `id_sezi` (`id_sez`),
-  KEY `id_cons` (`id_cons`),
-  KEY `id_sede` (`id_sede`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_sezioni`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_sezioni` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_sezioni` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_sezioni` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_temi`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_temi`;
-CREATE TABLE IF NOT EXISTS `soraldo_ele_temi` (
-  `id` int(11) NOT NULL AUTO_INCREMENT,
-  `tema` varchar(20) NOT NULL DEFAULT '',
-  PRIMARY KEY (`id`)
-) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
-
---
--- Dumping data for table `soraldo_ele_temi`
---
-
-
-
---
--- Table structure for table `soraldo_ele_tipo`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_tipo`;
+  `colore` varchar(50) DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_temi`
+--
+
+CREATE TABLE `soraldo_ele_temi` (
+  `id` int(11) NOT NULL,
+  `tema` varchar(20) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_tipo`
+--
+
 CREATE TABLE `soraldo_ele_tipo` (
-  `tipo_cons` int(11) NOT NULL default '0',
-  `descrizione` varchar(30) default NULL,
-  `lingua` varchar(2) NOT NULL default '0',
-  `genere` tinyint(4) NOT NULL default '0',
-  `voto_g` enum('0','1') NOT NULL default '0',
-  `voto_l` enum('0','1') NOT NULL default '0',
-  `voto_c` enum('0','1') NOT NULL default '0',
-  `circo` enum('0','1') NOT NULL default '0',
-  PRIMARY KEY  (`tipo_cons`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_tipo`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_tipo` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_tipo` WRITE;
-INSERT INTO `soraldo_ele_tipo` VALUES 
+  `tipo_cons` int(11) NOT NULL DEFAULT '0',
+  `descrizione` varchar(30) DEFAULT NULL,
+  `lingua` varchar(2) NOT NULL DEFAULT '0',
+  `genere` tinyint(4) NOT NULL DEFAULT '0',
+  `voto_g` enum('0','1') NOT NULL DEFAULT '0',
+  `voto_l` enum('0','1') NOT NULL DEFAULT '0',
+  `voto_c` enum('0','1') NOT NULL DEFAULT '0',
+  `circo` enum('0','1') NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_tipo`
+--
+
+INSERT INTO `soraldo_ele_tipo` (`tipo_cons`, `descrizione`, `lingua`, `genere`, `voto_g`, `voto_l`, `voto_c`, `circo`) VALUES
 (1, 'PROVINCIALI', 'it', 3, '0', '0', '0', '0'),
 (2, 'REFERENDUM', 'it', 0, '0', '0', '0', '0'),
@@ -919,145 +661,88 @@
 (18, 'CAMERA - Rosatellum 2.0', 'it', 5, '0', '0', '1', '0'),
 (19, 'SENATO - Rosatellum 2.0', 'it', 5, '0', '0', '1', '0');
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_tipo` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_voti_candidati`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_voti_candidati`;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_voti_candidati`
+--
+
 CREATE TABLE `soraldo_ele_voti_candidati` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_cand` int(11) NOT NULL default '0',
-  `id_sez` int(11) NOT NULL default '0',
-  `voti` int(7) NOT NULL default '0',
-  KEY `id_sez` (`id_sez`),
-  KEY `id_cand` (`id_cand`),
-  KEY `id_cons` (`id_cons`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_voti_candidati`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_voti_candidati` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_candidati` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_voti_candidati` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_voti_gruppo`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_voti_gruppo`;
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cand` int(11) NOT NULL DEFAULT '0',
+  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `num_cand` int(2) UNSIGNED NOT NULL,
+  `voti` int(7) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_voti_gruppo`
+--
+
 CREATE TABLE `soraldo_ele_voti_gruppo` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_gruppo` int(11) NOT NULL default '0',
-  `id_sez` int(11) NOT NULL default '0',
-  `voti` int(7) NOT NULL default '0',
-  `solo_gruppo` INT( 7 ) NOT NULL DEFAULT '0',
-  KEY `id_cons` (`id_cons`),
-  KEY `id_gruppo` (`id_gruppo`),
-  KEY `id_sez` (`id_sez`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_voti_gruppo`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_voti_gruppo` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_gruppo` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_voti_gruppo` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_voti_lista`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_voti_lista`;
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_gruppo` int(11) NOT NULL DEFAULT '0',
+  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `num_gruppo` int(2) UNSIGNED NOT NULL,
+  `voti` int(7) NOT NULL DEFAULT '0',
+  `solo_gruppo` int(7) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_voti_lista`
+--
+
 CREATE TABLE `soraldo_ele_voti_lista` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_lista` int(11) NOT NULL default '0',
-  `id_sez` int(11) NOT NULL default '0',
-  `voti` int(7) NOT NULL default '0',
-  `nulli_lista` INT( 7 ) NOT NULL DEFAULT '0',
-  `solo_lista` INT( 7 ) NOT NULL DEFAULT '0',
-  KEY `cons` (`id_cons`),
-  KEY `id_lista` (`id_lista`),
-  KEY `id_sez` (`id_sez`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_voti_lista`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_voti_lista` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_lista` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_voti_lista` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_voti_parziale`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_voti_parziale`;
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_lista` int(11) NOT NULL DEFAULT '0',
+  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `num_lista` int(2) UNSIGNED NOT NULL,
+  `voti` int(7) NOT NULL DEFAULT '0',
+  `nulli_lista` int(7) NOT NULL DEFAULT '0',
+  `solo_lista` int(7) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_voti_parziale`
+--
+
 CREATE TABLE `soraldo_ele_voti_parziale` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_sez` int(11) NOT NULL default '0',
-  `id_parz` int(11) NOT NULL auto_increment,
-  `orario` time NOT NULL default '00:00:00',
-  `data` date NOT NULL default '0000-00-00',
-  `voti_uomini` int(7) NOT NULL default '0',
-  `voti_donne` int(7) NOT NULL default '0',
-  `voti_complessivi` int(7) NOT NULL default '0',
-  `id_gruppo` int(11) NOT NULL default '0',
-  PRIMARY KEY  (`id_parz`),
-  KEY `id_cons` (`id_cons`),
-  KEY `id_sez` (`id_sez`),
-  KEY `id_gruppo` (`id_gruppo`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_voti_parziale`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_voti_parziale` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_parziale` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_voti_parziale` ENABLE KEYS */;
-
---
--- Table structure for table `soraldo_ele_voti_ref`
---
-
-DROP TABLE IF EXISTS `soraldo_ele_voti_ref`;
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `id_parz` int(11) NOT NULL,
+  `orario` time NOT NULL DEFAULT '00:00:00',
+  `data` date NOT NULL DEFAULT '0000-00-00',
+  `voti_uomini` int(7) NOT NULL DEFAULT '0',
+  `voti_donne` int(7) NOT NULL DEFAULT '0',
+  `voti_complessivi` int(7) NOT NULL DEFAULT '0',
+  `id_gruppo` int(11) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_voti_ref`
+--
+
 CREATE TABLE `soraldo_ele_voti_ref` (
-  `id_cons` int(11) NOT NULL default '0',
-  `id_gruppo` int(11) NOT NULL default '0',
-  `id_sez` int(11) NOT NULL default '0',
-  `si` int(7) default '0',
-  `no` int(7) default '0',
-  `validi` int(7) default '0',
-  `nulli` int(7) default '0',
-  `bianchi` int(7) default '0',
-  `contestati` int(7) default '0',
-  KEY `id_cons` (`id_cons`),
-  KEY `id_gruppo` (`id_gruppo`),
-  KEY `id_sez` (`id_sez`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
-
---
--- Dumping data for table `soraldo_ele_voti_ref`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_voti_ref` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_voti_ref` WRITE;
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_voti_ref` ENABLE KEYS */;
+  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_gruppo` int(11) NOT NULL DEFAULT '0',
+  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `num_gruppo` int(2) UNSIGNED NOT NULL,
+  `si` int(7) DEFAULT '0',
+  `no` int(7) DEFAULT '0',
+  `validi` int(7) DEFAULT '0',
+  `nulli` int(7) DEFAULT '0',
+  `bianchi` int(7) DEFAULT '0',
+  `contestati` int(7) DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+-- --------------------------------------------------------
 
 --
@@ -1065,22 +750,16 @@
 --
 
-DROP TABLE IF EXISTS `soraldo_ele_widget`;
-CREATE TABLE IF NOT EXISTS `soraldo_ele_widget` (
-  `id` int(10) NOT NULL AUTO_INCREMENT,
+CREATE TABLE `soraldo_ele_widget` (
+  `id` int(10) NOT NULL,
   `nome_file` varchar(255) NOT NULL DEFAULT '',
   `titolo` varchar(255) NOT NULL DEFAULT '',
   `pos_or` int(1) NOT NULL DEFAULT '1',
   `pos_ver` int(3) NOT NULL DEFAULT '0',
-  `attivo` int(1) NOT NULL DEFAULT '0',
-  PRIMARY KEY (`id`)
-) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13 ;
+  `attivo` int(1) NOT NULL DEFAULT '0'
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 
 --
 -- Dump dei dati per la tabella `soraldo_ele_widget`
 --
-
-
-/*!40000 ALTER TABLE `soraldo_ele_widget` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_widget` WRITE;
 
 INSERT INTO `soraldo_ele_widget` (`id`, `nome_file`, `titolo`, `pos_or`, `pos_ver`, `attivo`) VALUES
@@ -1098,6 +777,372 @@
 (12, 'pie_affluenze.php', 'pie_affluenze.php', 1, 0, 0);
 
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_widget` ENABLE KEYS */;
-
-
+--
+-- Indici per le tabelle scaricate
+--
+
+--
+-- Indici per le tabelle `soraldo_access`
+--
+ALTER TABLE `soraldo_access`
+  ADD PRIMARY KEY (`access_id`);
+
+--
+-- Indici per le tabelle `soraldo_authors`
+--
+ALTER TABLE `soraldo_authors`
+  ADD PRIMARY KEY (`aid`,`id_comune`),
+  ADD KEY `aid` (`aid`);
+
+--
+-- Indici per le tabelle `soraldo_doc_cons`
+--
+ALTER TABLE `soraldo_doc_cons`
+  ADD KEY `id_cons` (`id_cons`,`id_doc`);
+
+--
+-- Indici per le tabelle `soraldo_ele_candidati`
+--
+ALTER TABLE `soraldo_ele_candidati`
+  ADD UNIQUE KEY `id_cand` (`id_cand`),
+  ADD KEY `id_lista` (`id_lista`),
+  ADD KEY `id_cons` (`id_cons`,`num_lista`) USING BTREE;
+
+--
+-- Indici per le tabelle `soraldo_ele_circoscrizione`
+--
+ALTER TABLE `soraldo_ele_circoscrizione`
+  ADD UNIQUE KEY `id_circ` (`id_circ`),
+  ADD UNIQUE KEY `id_cons` (`id_cons`,`num_circ`);
+
+--
+-- Indici per le tabelle `soraldo_ele_collegi`
+--
+ALTER TABLE `soraldo_ele_collegi`
+  ADD PRIMARY KEY (`id_collegio`),
+  ADD KEY `id_cons_gen` (`id_cons_gen`);
+
+--
+-- Indici per le tabelle `soraldo_ele_come`
+--
+ALTER TABLE `soraldo_ele_come`
+  ADD UNIQUE KEY `mid` (`mid`);
+
+--
+-- Indici per le tabelle `soraldo_ele_comuni`
+--
+ALTER TABLE `soraldo_ele_comuni`
+  ADD PRIMARY KEY (`id_comune`),
+  ADD KEY `access_id` (`descrizione`);
+
+--
+-- Indici per le tabelle `soraldo_ele_comu_collegi`
+--
+ALTER TABLE `soraldo_ele_comu_collegi`
+  ADD PRIMARY KEY (`id_cons_gen`,`id_comune`),
+  ADD KEY `id_cons` (`id_cons`),
+  ADD KEY `id_collegio` (`id_collegio`);
+
+--
+-- Indici per le tabelle `soraldo_ele_conf`
+--
+ALTER TABLE `soraldo_ele_conf`
+  ADD PRIMARY KEY (`id_conf`);
+
+--
+-- Indici per le tabelle `soraldo_ele_consultazione`
+--
+ALTER TABLE `soraldo_ele_consultazione`
+  ADD PRIMARY KEY (`id_cons_gen`);
+
+--
+-- Indici per le tabelle `soraldo_ele_cons_comune`
+--
+ALTER TABLE `soraldo_ele_cons_comune`
+  ADD PRIMARY KEY (`id_cons`),
+  ADD UNIQUE KEY `comune` (`id_comune`,`id_cons_gen`);
+
+--
+-- Indici per le tabelle `soraldo_ele_controlli`
+--
+ALTER TABLE `soraldo_ele_controlli`
+  ADD KEY `sezione` (`id_sez`);
+
+--
+-- Indici per le tabelle `soraldo_ele_controllosez`
+--
+ALTER TABLE `soraldo_ele_controllosez`
+  ADD PRIMARY KEY (`id_sez`);
+
+--
+-- Indici per le tabelle `soraldo_ele_documenti`
+--
+ALTER TABLE `soraldo_ele_documenti`
+  ADD PRIMARY KEY (`id_doc`),
+  ADD KEY `descrizione` (`descrizione`);
+
+--
+-- Indici per le tabelle `soraldo_ele_fasce`
+--
+ALTER TABLE `soraldo_ele_fasce`
+  ADD KEY `id_fascia` (`id_fascia`);
+
+--
+-- Indici per le tabelle `soraldo_ele_gruppo`
+--
+ALTER TABLE `soraldo_ele_gruppo`
+  ADD UNIQUE KEY `id_gruppo` (`id_gruppo`),
+  ADD UNIQUE KEY `id_cons` (`id_cons`,`num_gruppo`,`num_circ`) USING BTREE;
+
+--
+-- Indici per le tabelle `soraldo_ele_link`
+--
+ALTER TABLE `soraldo_ele_link`
+  ADD PRIMARY KEY (`mid`);
+
+--
+-- Indici per le tabelle `soraldo_ele_lista`
+--
+ALTER TABLE `soraldo_ele_lista`
+  ADD PRIMARY KEY (`id_cons`,`num_lista`,`num_circ`) USING BTREE,
+  ADD UNIQUE KEY `id_lista` (`id_lista`),
+  ADD KEY `id_gruppo` (`id_gruppo`);
+
+--
+-- Indici per le tabelle `soraldo_ele_log`
+--
+ALTER TABLE `soraldo_ele_log`
+  ADD KEY `id_cons` (`id_cons`);
+
+--
+-- Indici per le tabelle `soraldo_ele_modelli`
+--
+ALTER TABLE `soraldo_ele_modelli`
+  ADD KEY `access_id` (`id_cons`);
+
+--
+-- Indici per le tabelle `soraldo_ele_numeri`
+--
+ALTER TABLE `soraldo_ele_numeri`
+  ADD PRIMARY KEY (`mid`),
+  ADD KEY `id_cons` (`id_cons`);
+
+--
+-- Indici per le tabelle `soraldo_ele_operatori`
+--
+ALTER TABLE `soraldo_ele_operatori`
+  ADD UNIQUE KEY `id_cons_aid` (`id_cons`,`aid`,`id_comune`),
+  ADD KEY `id_circ` (`id_comune`),
+  ADD KEY `id_sede` (`id_sede`);
+
+--
+-- Indici per le tabelle `soraldo_ele_regioni`
+--
+ALTER TABLE `soraldo_ele_regioni`
+  ADD PRIMARY KEY (`id`),
+  ADD KEY `descrizione` (`descrizione`);
+
+--
+-- Indici per le tabelle `soraldo_ele_rilaff`
+--
+ALTER TABLE `soraldo_ele_rilaff`
+  ADD KEY `id_cons_gen` (`id_cons_gen`);
+
+--
+-- Indici per le tabelle `soraldo_ele_sede`
+--
+ALTER TABLE `soraldo_ele_sede`
+  ADD PRIMARY KEY (`id_sede`),
+  ADD KEY `id_cons` (`id_cons`),
+  ADD KEY `id_circ` (`id_circ`);
+
+--
+-- Indici per le tabelle `soraldo_ele_servizi`
+--
+ALTER TABLE `soraldo_ele_servizi`
+  ADD PRIMARY KEY (`mid`),
+  ADD KEY `id_cons` (`id_cons`);
+
+--
+-- Indici per le tabelle `soraldo_ele_sezioni`
+--
+ALTER TABLE `soraldo_ele_sezioni`
+  ADD UNIQUE KEY `id_sezi` (`id_sez`),
+  ADD KEY `id_cons` (`id_cons`),
+  ADD KEY `id_sede` (`id_sede`);
+
+--
+-- Indici per le tabelle `soraldo_ele_temi`
+--
+ALTER TABLE `soraldo_ele_temi`
+  ADD PRIMARY KEY (`id`);
+
+--
+-- Indici per le tabelle `soraldo_ele_tipo`
+--
+ALTER TABLE `soraldo_ele_tipo`
+  ADD PRIMARY KEY (`tipo_cons`);
+
+--
+-- Indici per le tabelle `soraldo_ele_voti_candidati`
+--
+ALTER TABLE `soraldo_ele_voti_candidati`
+  ADD KEY `id_sez` (`id_sez`),
+  ADD KEY `id_cand` (`id_cand`),
+  ADD KEY `id_cons` (`id_cons`,`num_cand`) USING BTREE;
+
+--
+-- Indici per le tabelle `soraldo_ele_voti_gruppo`
+--
+ALTER TABLE `soraldo_ele_voti_gruppo`
+  ADD KEY `id_gruppo` (`id_gruppo`),
+  ADD KEY `id_sez` (`id_sez`),
+  ADD KEY `id_cons` (`id_cons`,`num_gruppo`) USING BTREE;
+
+--
+-- Indici per le tabelle `soraldo_ele_voti_lista`
+--
+ALTER TABLE `soraldo_ele_voti_lista`
+  ADD KEY `id_lista` (`id_lista`),
+  ADD KEY `id_sez` (`id_sez`),
+  ADD KEY `cons` (`id_cons`,`num_lista`) USING BTREE;
+
+--
+-- Indici per le tabelle `soraldo_ele_voti_parziale`
+--
+ALTER TABLE `soraldo_ele_voti_parziale`
+  ADD PRIMARY KEY (`id_parz`),
+  ADD KEY `id_cons` (`id_cons`),
+  ADD KEY `id_sez` (`id_sez`),
+  ADD KEY `id_gruppo` (`id_gruppo`);
+
+--
+-- Indici per le tabelle `soraldo_ele_voti_ref`
+--
+ALTER TABLE `soraldo_ele_voti_ref`
+  ADD KEY `id_gruppo` (`id_gruppo`),
+  ADD KEY `id_sez` (`id_sez`),
+  ADD KEY `id_cons` (`id_cons`,`num_gruppo`) USING BTREE;
+
+--
+-- Indici per le tabelle `soraldo_ele_widget`
+--
+ALTER TABLE `soraldo_ele_widget`
+  ADD PRIMARY KEY (`id`);
+
+--
+-- AUTO_INCREMENT per le tabelle scaricate
+--
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_candidati`
+--
+ALTER TABLE `soraldo_ele_candidati`
+  MODIFY `id_cand` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_circoscrizione`
+--
+ALTER TABLE `soraldo_ele_circoscrizione`
+  MODIFY `id_circ` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_collegi`
+--
+ALTER TABLE `soraldo_ele_collegi`
+  MODIFY `id_collegio` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_come`
+--
+ALTER TABLE `soraldo_ele_come`
+  MODIFY `mid` int(7) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_conf`
+--
+ALTER TABLE `soraldo_ele_conf`
+  MODIFY `id_conf` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_consultazione`
+--
+ALTER TABLE `soraldo_ele_consultazione`
+  MODIFY `id_cons_gen` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_cons_comune`
+--
+ALTER TABLE `soraldo_ele_cons_comune`
+  MODIFY `id_cons` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_documenti`
+--
+ALTER TABLE `soraldo_ele_documenti`
+  MODIFY `id_doc` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_gruppo`
+--
+ALTER TABLE `soraldo_ele_gruppo`
+  MODIFY `id_gruppo` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_link`
+--
+ALTER TABLE `soraldo_ele_link`
+  MODIFY `mid` int(7) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_lista`
+--
+ALTER TABLE `soraldo_ele_lista`
+  MODIFY `id_lista` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_numeri`
+--
+ALTER TABLE `soraldo_ele_numeri`
+  MODIFY `mid` int(7) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_sede`
+--
+ALTER TABLE `soraldo_ele_sede`
+  MODIFY `id_sede` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_servizi`
+--
+ALTER TABLE `soraldo_ele_servizi`
+  MODIFY `mid` int(7) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_sezioni`
+--
+ALTER TABLE `soraldo_ele_sezioni`
+  MODIFY `id_sez` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_temi`
+--
+ALTER TABLE `soraldo_ele_temi`
+  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_voti_parziale`
+--
+ALTER TABLE `soraldo_ele_voti_parziale`
+  MODIFY `id_parz` int(11) NOT NULL AUTO_INCREMENT;
+
+--
+-- AUTO_INCREMENT per la tabella `soraldo_ele_widget`
+--
+ALTER TABLE `soraldo_ele_widget`
+  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;
+COMMIT;
+
+/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
+/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
+/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
+
